| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::ComputePass Class Reference

A compute pass, during which a compute dispatch is launched. More...

Inheritance diagram for nkGraphics::ComputePass:

## Public Member Functions
Shader * | getShader () const
unsigned int | getX () const
unsigned int | getY () const
unsigned int | getZ () const
void | setShader (Shader *shader)
void | setX (unsigned int value)
void | setY (unsigned int value)
void | setZ (unsigned int value)
virtual void | exportClassToTree (nkExport::Node *rootNode) override
virtual void | importClassFromTree (nkExport::Node *rootNode) override
Public Member Functions inherited from nkGraphics::Pass
| Pass (System *system) noexcept
virtual | ~Pass ()
System * | getSystem () const
TargetOperations * | getParent () const
PASS_TYPE | getType () const
nkMemory::StringView | getName () const
void | setParent (TargetOperations *parent)
void | setName (nkMemory::StringView name)
Public Member Functions inherited from nkExport::Exportable
| Exportable () noexcept
virtual | ~Exportable ()

## Detailed Description

A compute pass, during which a compute dispatch is launched.

See TargetOperations::addComputePass() to use it.

## Member Function Documentation

## ◆ getShader()

Shader* nkGraphics::ComputePass::getShader | ( |  | ) | const

Returns
  The compute shader executed.

## ◆ getX()

unsigned int nkGraphics::ComputePass::getX | ( |  | ) | const

The x component of the thread dimensions dispatched.

## ◆ getY()

unsigned int nkGraphics::ComputePass::getY | ( |  | ) | const

The y component of the thread dimensions dispatched.

## ◆ getZ()

unsigned int nkGraphics::ComputePass::getZ | ( |  | ) | const

The z component of the thread dimensions dispatched.

## ◆ setShader()

void nkGraphics::ComputePass::setShader | ( | Shader * | shader | ) |

Sets the shader to execute during the dispatch.

Parameters

  shader | The shader to execute.

## ◆ setX()

void nkGraphics::ComputePass::setX | ( | unsigned int | value | ) |

Sets the x component of the thread dimension dispatched. Default upon creation is 1.

Parameters

  value | The dimension to dispatch.

## ◆ setY()

void nkGraphics::ComputePass::setY | ( | unsigned int | value | ) |

Sets the y component of the thread dimension dispatched. Default upon creation is 1.

Parameters

  value | The dimension to dispatch.

## ◆ setZ()

void nkGraphics::ComputePass::setZ | ( | unsigned int | value | ) |

Sets the z component of the thread dimension dispatched. Default upon creation is 1.

Parameters

  value | The dimension to dispatch.

## ◆ exportClassToTree()

virtual void nkGraphics::ComputePass::exportClassToTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Exports an item into a tree describing its structure and its data.

Parameters

  rootNode | The node into which the object has to write its related information.

Reimplemented from nkGraphics::Pass.

## ◆ importClassFromTree()

virtual void nkGraphics::ComputePass::importClassFromTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Imports information from a tree which is supposed to describe its structure and data.

Parameters

  rootNode | The root node of the tree holding the information.

Reimplemented from nkGraphics::Pass.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Passes/ComputePass.h